!set title=Two squares
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Gang Xiao
email=xiao@unice.fr
language=en

varcnt=17
prevarcnt=16
postvarcnt=0
replycnt=0
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

m_options=nofloat
m_methods=ineq/addterm, ineq/mulexp, ineq/divexp,	ineq/trans, ineq/addineq, ineq/exsides, prf/contrapose
tmp=!trim a,b	c,d	x,y	r,s	s,t	p,q	
val2=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val2

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val2=$(tmp0)
tmp0=!item 1 of $val2

val3=$(tmp0)
tmp0=!item 2 of $val2

val4=$(tmp0)
tmp0=!randint 3, 20

val5=$[rint($(tmp0))]
tmp0=!randint 3, 20

val6=$[rint($(tmp0))]
val7=$[rint($val5*$val6)]
val8=
tmp0=!randitem ,=

val9=$(tmp0)
val10=>$val9
val11=<$val9
tmp=!trim $val3^2 $val10 $val4^2, $val4 $val10 0, $val3 $val10 $val4	$val3^2 $val10 $val4^2, $val4 $val11 0, $val3 $val11 $val4	$val3^2 $val11 $val4^2, $val3 $val10 0, $val3 $val11 $val4	$val3^2 $val11 $val4^2, $val3 $val11 0, $val3 $val10 $val4	
val12=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val12

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val12=$(tmp0)
tmp0=!item 1 of $val12

val13=$(tmp0)
tmp0=!item 2 of $val12

val14=$(tmp0)
tmp0=!item 3 of $val12

val15=$(tmp0)
m_minsteps=4
m_context=$val14	$val15
m_goal=$val13
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Let 
!insmath $val3
$() and 
!insmath $val4
$() be two real numbers with 
!insmath $val14
$() and 
!insmath $val15
$().	Prove 
!insmath  $val13 
$().	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=3,4,13,14,15
embedcnt=0
